package cn.reghao.tnb.content.app.vod.db.mapper;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.content.app.vod.model.po.VideoFile;
import cn.reghao.tnb.content.app.vod.model.dto.VideoUrlDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author reghao
 * @date 2023-10-13 15:59:11
 */
@Mapper
public interface VideoFileMapper extends BaseMapper<VideoFile> {
    void updateDeleteByObjectId(String objectId);
    void updateUrl(@Param("objectId") String objectId, @Param("url") String url);

    List<VideoUrlDto> findVideoUrls(String videoId);
    List<VideoFile> findByVideoId(String videoId);
    VideoFile findByVideoFileId(String objectId);
}
